function [] = buttonCopyFromMeasured(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Save empirical state
artoa.controller.edit.offsets.saveEmpiricalState();

%% Copy from optimum total offset columns to empirical columns
% store float in table
artoaWorkspace.editOffsets.offsets{:, 'EmpiricalOffset'} = artoaWorkspace.editOffsets.offsets{:, 'OffsetStart'};
artoaWorkspace.editOffsets.offsets{:, 'EmpiricalDrift'} = artoaWorkspace.editOffsets.offsets{:, 'Drift'};

artoaWorkspace.editOffsets.soundspeed.Empirical(1) = artoaWorkspace.editOffsets.soundspeed.Measured(1);

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

