function [filteredIndices] = filterSelectionBySoundsourceLifetime(pSelectedIndices, pToaData, pSoundsource)
%FILTERSELECTIONBYSOUNDSOURCELIFETIME Summary of this function goes here
%   Detailed explanation goes here

%% Get parameter of soundsource
launchDate = artoa.convert.dmy2rd( ...
    pSoundsource.begemis(3), ...
    pSoundsource.begemis(2), ...
    pSoundsource.begemis(1) ...
    );
endDate = artoa.convert.dmy2rd( ...
    pSoundsource.endemis(3), ...
    pSoundsource.endemis(2), ...
    pSoundsource.endemis(1) ...
    );

%% Filter indices

filteredIndices = (pToaData.toaDate >= launchDate) & (pToaData.toaDate < endDate) & pSelectedIndices;

if ~any(filteredIndices)
    filteredIndices = [];
    return
end


end

